//*****************************************************************************
// THIS PROGRAM IS PROVIDED "AS IS". TI MAKES NO WARRANTIES OR
// REPRESENTATIONS, EITHER EXPRESS, IMPLIED OR STATUTORY,
// INCLUDING ANY IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS
// FOR A PARTICULAR PURPOSE, LACK OF VIRUSES, ACCURACY OR
// COMPLETENESS OF RESPONSES, RESULTS AND LACK OF NEGLIGENCE.
// TI DISCLAIMS ANY WARRANTY OF TITLE, QUIET ENJOYMENT, QUIET
// POSSESSION, AND NON-INFRINGEMENT OF ANY THIRD PARTY
// INTELLECTUAL PROPERTY RIGHTS WITH REGARD TO THE PROGRAM OR
// YOUR USE OF THE PROGRAM.
//
// IN NO EVENT SHALL TI BE LIABLE FOR ANY SPECIAL, INCIDENTAL,
// CONSEQUENTIAL OR INDIRECT DAMAGES, HOWEVER CAUSED, ON ANY
// THEORY OF LIABILITY AND WHETHER OR NOT TI HAS BEEN ADVISED
// OF THE POSSIBILITY OF SUCH DAMAGES, ARISING IN ANY WAY OUT
// OF THIS AGREEMENT, THE PROGRAM, OR YOUR USE OF THE PROGRAM.
// EXCLUDED DAMAGES INCLUDE, BUT ARE NOT LIMITED TO, COST OF
// REMOVAL OR REINSTALLATION, COMPUTER TIME, LABOR COSTS, LOSS
// OF GOODWILL, LOSS OF PROFITS, LOSS OF SAVINGS, OR LOSS OF
// USE OR INTERRUPTION OF BUSINESS. IN NO EVENT WILL TI'S
// AGGREGATE LIABILITY UNDER THIS AGREEMENT OR ARISING OUT OF
// YOUR USE OF THE PROGRAM EXCEED FIVE HUNDRED DOLLARS
// (U.S.$500).
//
// Unless otherwise stated, the Program written and copyrighted
// by Texas Instruments is distributed as "freeware".  You may,
// only under TI's copyright in the Program, use and modify the
// Program without any charge or restriction.  You may
// distribute to third parties, provided that you transfer a
// copy of this license to the third party and the third party
// agrees to these terms by its first use of the Program. You
// must reproduce the copyright notice and any other legend of
// ownership on each copy or partial copy, of the Program.
//
// You acknowledge and agree that the Program contains
// copyrighted material, trade secrets and other TI proprietary
// information and is protected by copyright laws,
// international copyright treaties, and trade secret laws, as
// well as other intellectual property laws.  To protect TI's
// rights in the Program, you agree not to decompile, reverse
// engineer, disassemble or otherwise translate any object code
// versions of the Program to a human-readable form.  You agree
// that in no event will you alter, remove or destroy any
// copyright notice included in the Program.  TI reserves all
// rights not specifically granted under this license. Except
// as specifically provided herein, nothing in this agreement
// shall be construed as conferring by implication, estoppel,
// or otherwise, upon you, any license or other right under any
// TI patents, copyrights or trade secrets.
//
// You may not use the Program in non-TI devices.
//
//******************************************************************************

;-------------------------------------------------------------------------
; Global Variable Declaration Include File
; vsi_global_variables_v1.h
; (c) Texas Instruments 2003
; Last Change - 10/26/2003
;
;-------------------------------------------------------------------------

************************************************************
*Variable Definition                                       *
************************************************************ 
#define   a        0x01    
#define   b        0x02
#define   c        0x10
#define   d        0x04
#define   e        0x80
#define   f        0x20
#define   g        0x08
#define   h        0x40 

#define cnt_per_cycle 64
#define cal_start_hth 0x0200
#define cal_start_lth 0x03C0
#define hyst          0x0090     
#define hyst_max      0x0200
#define margin_max    0x0020
#define margin_min    0x0020 

#define CAL_EN        0x0001  /* enable SIFDACRx calibration        */
#define CH0_PTH_COMP  0x0010  /* CH0 Positive Threshold Found       */
#define CH0_NTH_COMP  0x0020  /* CH0 Negative Threshold Found       */
#define CH1_PTH_COMP  0x0040  /* CH1 Positive Threshold Found       */
#define CH1_NTH_COMP  0x0080  /* CH1 Negative Threshold Found       */
#define CAL_CH0_COMP  0x1000  /* CH0 SIFDACRx calibration complete  */
#define CAL_CH1_COMP  0x2000  /* CH1 SIFDACRx calibration complete  */

sfrw    sifdac_cal_stat = 0x0200  /* stores calibration configuration  */
sfrw    sifdac0_cal_reg = 0x0202  /* SIFDAC0 calibration register      */
sfrw    sifdac1_cal_reg = 0x0204  /* SIFDAC1 calibration register      */
sfrw    sifdac2_cal_reg = 0x0206  /* SIFDAC2 calibration register      */
sfrw    sifdac3_cal_reg = 0x0208  /* SIFDAC3 calibration register      */
sfrw    sifdac_hyst_cmp = 0x020A  /* Hysteresis compare calibration    */
sfrw    mech_cntr_incr  = 0x0212  /* Compare for Count Increment       */
sfrw    mech_cntr_decr  = 0x0214  /* Compare for Count Decrement       */
sfrw    mech_cntr       = 0x0216  /* Count Actual                      */
    
